﻿//////////////////////////////////////////////
// IndexFormat.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "../../Dll/DllDefines.h"

// nkMaths
#include <NilkinsMaths/Algebra/Vector.h>

/// Class ------------------------------------
	
namespace nkGraphics
{
	enum class INDEX_FORMAT
	{
		UINT16 = 0,
		UINT32
	} ;

	class IndexFormatUtils final
	{
		private :

			IndexFormatUtils () = delete ;
			~IndexFormatUtils () = delete ;

		public :

			// Translation
			static unsigned int getFormatByteSize (INDEX_FORMAT format) ;
	} ;
}