﻿//////////////////////////////////////////////
// FloatEncoder.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMaths
#include "../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkMaths
{
	class DLL_MATHS_EXPORT FloatEncoder final
	{
		private :

			// Constructeur, destructeur
			FloatEncoder () = delete ;
			~FloatEncoder () = delete ;

		public :

			// Float 16
			static unsigned short floatToHalf (float v) ;
			static float halfToFloat (unsigned short v) ;
	} ;
}